Index: Makefile
===================================================================
--- Makefile	(revision 315656)
+++ Makefile	(working copy)
@@ -1883,6 +1883,7 @@
     SUBDIR += trac-addcomment
     SUBDIR += trac-advancedticketworkflow
     SUBDIR += trac-announcer
+    SUBDIR += trac-attachmentpolicy
     SUBDIR += trac-autocomplete
     SUBDIR += trac-batchmodify
     SUBDIR += trac-bzr
Index: trac-attachmentpolicy/Makefile
===================================================================
--- trac-attachmentpolicy/Makefile	(revision 0)
+++ trac-attachmentpolicy/Makefile	(working copy)
@@ -0,0 +1,31 @@
+# Created by: Hung-Yi Chen <gaod@hychen.org>
+# $FreeBSD$
+
+PORTNAME=	attachmentpolicy
+PORTVERSION=	0.1.0.${SVN_REV}
+CATEGORIES=	www devel python
+MASTER_SITES=	http://distfiles.cse.tw/ \
+		http://trac-hacks.org/changeset/${SVN_REV}/attachmentpolicyplugin?old_path=/&format=zip&filename=/
+PKGNAMEPREFIX=	trac-
+DISTNAME=	${PORTNAME}plugin-r${SVN_REV}
+
+MAINTAINER=	gaod@hychen.org
+COMMENT=	Provides delete permission to Trac normal user
+
+LICENSE=	BSD
+
+SVN_REV=	12775
+
+RUN_DEPENDS+=	tracd:${PORTSDIR}/www/trac
+
+WRKSRC=		${WRKDIR}/${PORTNAME}plugin/0.12
+USE_ZIP=	yes
+USE_PYTHON=	-2.7
+USE_PYDISTUTILS=	easy_install
+
+FETCH_BEFORE_ARGS=	-o ${DISTFILES}
+PYDISTUTILS_PKGNAME=	Attachment_Policy_Plugin
+PYDISTUTILS_PKGVERSION=	${PORTVERSION:C/.${SVN_REV}//g}
+PLIST_FILES=		%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%
+
+.include <bsd.port.mk>
Index: trac-attachmentpolicy/distinfo
===================================================================
--- trac-attachmentpolicy/distinfo	(revision 0)
+++ trac-attachmentpolicy/distinfo	(working copy)
@@ -0,0 +1,2 @@
+SHA256 (attachmentpolicyplugin-r12775.zip) = be8493552557ee027d708dd32debcd1b7ca1c08cdb610a1490ac1b03b59b02ba
+SIZE (attachmentpolicyplugin-r12775.zip) = 1731
Index: trac-attachmentpolicy/pkg-descr
===================================================================
--- trac-attachmentpolicy/pkg-descr	(revision 0)
+++ trac-attachmentpolicy/pkg-descr	(working copy)
@@ -0,0 +1,7 @@
+Adds permission TICKET_ATTACHMENT_DELETE for exclusive right
+to delete and replace attachments, regardless who added/changed it.
+
+Everybody who has permission TICKET_ATTACHMENT_DELETE can delete
+or replace attachments, regardless who added / changed it.
+
+WWW: http://trac-hacks.org/wiki/AttachmentPolicyPlugin
